Bug 616002 - NPE in server when uninventorying a platform for which the agent is down
NPE in server when uninventorying a platform for which the agent is down
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 09:15 EDT by Heiko W. Rupp
Modified: 2015-02-01 18:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-04 13:23:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2010-07-19 09:15:32 EDT
See NPE message at the end of this:


2010-07-19 09:14:07,282 WARN  [org.rhq.enterprise.server.core.comm.ServerCommunicationsService] {Failed to truncate/delete spool for deleted agent [Agent[id=10101,name=spawn_29152,address=10.16.90.3,port=29152,remote-endpoint=socket://10.16.90.3:29152/?rhq.communications.connector.rhqtype=agent&numAcceptThreads=1&maxPoolSize=303&clientMaxPoolSize=304&socketTimeout=60000&enableTcpNoDelay=true&backlog=200,last-availability-report=1279540508539]] please manually remove the file: null}!!! missing resource message key=[Failed to truncate/delete spool for deleted agent [Agent[id=10101,name=spawn_29152,address=10.16.90.3,port=29152,remote-endpoint=socket://10.16.90.3:29152/?rhq.communications.connector.rhqtype=agent&numAcceptThreads=1&maxPoolSize=303&clientMaxPoolSize=304&socketTimeout=60000&enableTcpNoDelay=true&backlog=200,last-availability-report=1279540508539]] please manually remove the file: null] args=[java.lang.NullPointerException]
Comment 1 Charles Crouch 2010-07-19 14:48:32 EDT
Heiko, this is cosmetic presumably? The platform still gets deleted?
Comment 2 Heiko W. Rupp 2010-07-20 03:50:42 EDT
Yes.
I still want to understand in RHQ4 what is going on.
Comment 6 Jay Shaughnessy 2014-04-04 13:23:13 EDT
A lot of work done in this area. I'm not aware of this happening recently. Closing.

Note You need to log in before you can comment on or make changes to this bug.